what is GLIBC_2.3?

Are you using LiveCode to create server scripts or CGIs?

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller, robinmiller

Post Reply
malte
Posts: 1098
Joined: Thu Feb 23, 2006 8:34 pm
Location: Ostenfeld germany
Contact:

what is GLIBC_2.3?

Post by malte » Wed Apr 26, 2006 3:30 pm

Hi all,

my favourite provider tries to get Rev going on their servers. In the error log (on a debian server) the GLIBC_22.3 lib is reported to be missing and be required by REV. Any clues?

All the best,

Malte

rishi
Posts: 25
Joined: Wed Apr 12, 2006 12:23 am
Location: Australia
Contact:

Post by rishi » Thu May 04, 2006 1:57 am

Hi Malte,

This probably won't be too helpful, but GLIBC is just a Linux C processing library. See here for definition:

http://www.gnu.org/software/libc/

The reason its not too helpful is that I'm not sure what version of GLIBC different Rev versions need, nor what versions are likely to be needed on a relatively up to date, production, web hosting server.

It would be really nice if someone posted a HOWTO in here with all this info...

I don't think it is something you are going to be able to fix for them.

They will likely need to install a compatibility library which will let REV work with their GLIBC version.
--
Rishi Viner
Australia

malte
Posts: 1098
Joined: Thu Feb 23, 2006 8:34 pm
Location: Ostenfeld germany
Contact:

Post by malte » Fri May 05, 2006 8:40 am

Thanks rishi,

I am very grateful for my Providers support. They tried to make it work, installed the correct library... and managed to crash the server with that library. So Rev CGI will be out of question there unless I rent a dedicated server. Too bad. :-(

All the best,

Malte

Post Reply

Return to “CGIs and the Server”